Update Workflow
curl --request PUT \
--url https://app.asisso.com/api/v1/workflow/{workflow_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workflow_definition": {},
"template_context_variables": {},
"workflow_configurations": {}
}
'import requests
url = "https://app.asisso.com/api/v1/workflow/{workflow_id}"
payload = {
"name": "<string>",
"workflow_definition": {},
"template_context_variables": {},
"workflow_configurations": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workflow_definition: {},
template_context_variables: {},
workflow_configurations: {}
})
};
fetch('https://app.asisso.com/api/v1/workflow/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Update Agent
Update an agent’s name, workflow definition, or configuration
PUT
/
api
/
v1
/
workflow
/
{workflow_id}
Update Workflow
All fields are optional — only include the fields you want to change. Updating
workflow_definition creates a new versioned definition while preserving the history of previous versions.Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I